org.apache.ignite.internal.processors.cache.query

## Class GridCacheQueryDetailMetricsKey

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.query.GridCacheQueryDetailMetricsKey

    public class GridCacheQueryDetailMetricsKey
    extends Object

Immutable query metrics key used to group metrics.

### Constructor Summary

Constructors
Constructor and Description
`GridCacheQueryDetailMetricsKey(GridCacheQueryType qryType, String qry)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getQuery()`
`GridCacheQueryType` `getQueryType()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCacheQueryDetailMetricsKey

    public GridCacheQueryDetailMetricsKey(GridCacheQueryType qryType,
                                          String qry)

Constructor.

Parameters:
  `qryType` - Query type.
  `qry` - Textual query representation.

### Method Detail

#### getQueryType

    public GridCacheQueryType getQueryType()

Returns:
  Query type.

#### getQuery

    public String getQuery()

Returns:
  Textual representation of query.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020